//shader for the ruins map
//last edited by carnage 9/9/06

//shaders to make the window arches smoother shaded to remove the low polly look
textures/carnage_church/arch1
{
	q3map_nonplanar
	q3map_shadeangle 110
	qer_editorimage textures/carnage_church/arch1.tga

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/broken_castle/wall_c05.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/carnage_church/arch2
{
	q3map_nonplanar
	q3map_shadeangle 110
	qer_editorimage textures/carnage_church/arch2.tga

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/broken_castle/wall_c05.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

//shaders to make the structuural arches apear smoother
textures/carnage_church/bigarch1
{
	q3map_nonplanar
	q3map_shadeangle 90
	qer_editorimage textures/carnage_church/bigarch1.tga

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/broken_castle/wall_c04.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

//shader to make the debri seem a bit smoother
textures/carnage_church/debri
{
	q3map_nonplanar
	q3map_shadeangle 60
	qer_editorimage textures/carnage_church/debri.tga

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/rubble/debri_m01d.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}


//shaders for the terrain, phong shading and alpha blending
textures/carnage_church/dirt
{
	q3map_nonplanar
	q3map_shadeangle 120
	surfaceparm grasssteps
	qer_editorimage textures/carnage_church/dirt.tga

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/terrain/grass_ml03cmp.tga
		tcGen vector ( 0.00390625 0 0 ) ( 0 0.00390625 0 )	// 1 by 256 for standard res = 0.00390625
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/carnage_church/dirt_rock1
{
	q3map_nonplanar
	q3map_shadeangle 120
	qer_editorimage textures/carnage_church/dirt_rock1.tga
   {
      	map textures/terrain/grass_ml03cmp.tga	// Primary texture
		tcGen vector ( 0.00390625 0 0 ) ( 0 0.00390625 0 )	// 1 by 256 for standard res = 0.00390625
      	rgbGen identity
   }
   {
      	map textures/terrain/cliff_m05Dcon.tga	// Secondary
		tcGen vector ( 0.001953125 0 0 ) ( 0 0 0.001953125 )	// 1 by 512  res = 0.001953125
		//AlphaGen 1
      	blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
      	//alphaFunc GE128
      	rgbGen identity
      	alphaGen vertex
   }
   {
      	map $lightmap
      	blendFunc GL_DST_COLOR GL_ZERO
      	rgbGen identity
   }
}

textures/carnage_church/dirt_rock2
{
	q3map_nonplanar
	q3map_shadeangle 120
	qer_editorimage textures/carnage_church/dirt_rock2.tga
   {
      	map textures/terrain/grass_ml03cmp.tga	// Primary texture
		tcGen vector ( 0.00390625 0 0 ) ( 0 0.00390625 0 )	// 1 by 256 for standard res = 0.00390625
      	rgbGen identity
   }
   {
      	map textures/terrain/cliff_m05Dcon.tga	// Secondary
		tcGen vector ( 0 0.001953125 0 ) ( 0 0 0.001953125 )	// 1 by 512  res = 0.001953125
		//AlphaGen 1
      	blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
      	//alphaFunc GE128
      	rgbGen identity
      	alphaGen vertex
   }
   {
      	map $lightmap
      	blendFunc GL_DST_COLOR GL_ZERO
      	rgbGen identity
   }
}

textures/carnage_church/dirt_road
{
	q3map_nonplanar
	q3map_shadeangle 120
	surfaceparm grasssteps
	qer_editorimage textures/carnage_church/dirt_road.tga
   {
      	map textures/terrain/grass_ml03cmp.tga	// Primary texture
		tcGen vector ( 0.00390625 0 0 ) ( 0 0.00390625 0 )	// 1 by 256 for standard res = 0.00390625
      	rgbGen identity
   }
   {
      	map textures/assault_rock/ground_c07nerve.tga	// Secondary
		tcGen vector ( 0.0078125 0 0 ) ( 0 0.0078125 0 )	// 1 by 128 for smaller res = 0.0078125
		//AlphaGen 1
      	blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
      	//alphaFunc GE128
      	rgbGen identity
      	alphaGen vertex
   }
   {
      	map $lightmap
      	blendFunc GL_DST_COLOR GL_ZERO
      	rgbGen identity
   }
}

//shaders for the cature point markers
textures/carnage_church/mark_red
{
	surfaceparm nonsolid
	surfaceparm nomarks
	qer_editorimage textures/carnage_church/mark_red.tga
	{
		map textures/carnage_church/mark_red.tga
		blendfunc blend 
		rgbGen identity
	}
	{
		map textures/effects/tinfx5.tga
		blendFunc GL_ONE_MINUS_DST_ALPHA GL_ONE
		tcMod Scale 1.5 1.5  
		tcGen environment
	}
}

textures/carnage_church/mark_blue
{
	surfaceparm nonsolid
	surfaceparm nomarks
	qer_editorimage textures/carnage_church/mark_blue.tga
	{
		map textures/carnage_church/mark_blue.tga
		blendfunc blend 
		rgbGen identity
	}
	{
		map textures/effects/tinfx5.tga
		blendFunc GL_ONE_MINUS_DST_ALPHA GL_ONE
		tcMod Scale 1.5 1.5  
		tcGen environment
	}
}

textures/carnage_church/mark_grey
{
	surfaceparm nonsolid
	surfaceparm nomarks
	qer_editorimage textures/carnage_church/mark_grey.tga
	{
		map textures/carnage_church/mark_grey.tga
		blendfunc blend 
		rgbGen identity
	}
	{
		map textures/effects/tinfx5.tga
		blendFunc GL_ONE_MINUS_DST_ALPHA GL_ONE
		tcMod Scale 1.5 1.5  
		tcGen environment
	}
}

//shader for woodclip for trees
textures/carnage_church/clip_wood
{
    qer_trans 0.3
    surfaceparm nodraw
    surfaceparm nomarks
    // surfaceparm playerclip
    // surfaceparm clipmissile
    // surfaceparm trans
    surfaceparm woodsteps
}

// Steal socks alpha brush shaders to save some time, by reading seems they are actuly ydnars
// ======================================================================
// alpha fade shaders
// (c) 2004 randy reddig
// http://www.shaderlab.com
// distribution, in part or in whole, in any medium, permitted
// ======================================================================
//
// These shaders are not fixed to this directory location, they can
// be moved around. They exist here for convenience only.
//
textures/terrain_example/alpha_000	// Primary texture ONLY
{
	q3map_alphaMod volume
	q3map_alphaMod set 0
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/terrain_example/alpha_025
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.25
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/terrain_example/alpha_050	// Perfect mix of both Primary + Secondary
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.50
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/terrain_example/alpha_075
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.75
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/terrain_example/alpha_085
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.85
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/terrain_example/alpha_100	// Secondary texture ONLY
{
	q3map_alphaMod volume
	q3map_alphaMod set 1.0
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}
